## Name

DEVS — Show device table entriesOS-9 Level Two

## Synopsis

`devs`

## Description

Devs displays a list of the system's device table. The device table contains an entry for each active device known to OS-9. devs does not display information for uninitialized devices. The devs display header lists the system name, the OS-9 version number, and the maximum number of devices allowed in the device table.

Each line in the devs display contains five fields:

Name | Description
--- | ---
Device | Name of the device descriptor
Driver | Name of the device driver
File Mgr | Name of the file manager
Data Ptr | Address of the device driver's static storage
Links | Device use count

### Note

Each time a user executes a chd to an RBF device, the use count of that device is incremented by one. Consequently, the Links field may be artificially high.